import { awscdk } from 'projen';
const project = new awscdk.AwsCdkConstructLibrary({
  author: 'Pahud Hsieh',
  authorAddress: 'pahudnet@gmail.com',
  cdkVersion: '2.1.0',
  defaultReleaseBranch: 'main',
  jsiiVersion: '~5.0.0',
  name: 'cdk-foo',
  projenrcTs: true,
  repositoryUrl: 'https://github.com/pahud/cdk-foo.git',
  githubOptions: {
    mergify: false,
  },
  // deps: [
  //   'aws-cdk',
  //   'ts-node',
  // ],
  devDeps: [
    'aws-cdk',
    'ts-node',
  ],
  publishToPypi: {
    distName: 'cdk-foo',
    module: 'cdk_foo',
  },
  // deps: [],                /* Runtime dependencies of this module. */
  // description: undefined,  /* The description is just a string that helps people understand the purpose of the package. */
  // devDeps: [],             /* Build dependencies for this module. */
  // packageName: undefined,  /* The "name" in package.json. */
});

const common_exclude = ['cdk.out', 'cdk.context.json'];

project.npmignore!.exclude(...common_exclude);
project.gitignore.exclude(...common_exclude);

project.release?.publisher.publishToNpm({
  registry: 'pahud-903779448426.d.codeartifact.us-east-1.amazonaws.com/npm/pahud-repo/',
});

project.synth();